#ifndef IRQSPI_H

/*
Software SPI, public functions and variables.
See irqspi.S for a detailed description.

(C) 2004 Chris Liechti <cliechti@gmx.net>
this is distributed under a free software license, see license.txt

http://mspgcc.sf.net
*/

#ifndef _GNU_ASSEMBLER_

void spi_init(void);

extern unsigned char spi_data_out;      ///< outgoing data
extern unsigned char spi_data_in;       ///< incomming data

#endif //_GNU_ASSEMBLER_

#endif //IRQSPI_H
