; * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
;   LCD  Definitions   /   STK/EVK LCD
;   Adapted for mspgcc by Steve Underwood <steveu@coppice.org>
;   $Id: LCD_T218010.S,v 1.2 2004/06/23 19:16:44 cliechti Exp $
; * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
;
            .global LCD_Tab
            .global LCD_sensor_pos
;
;--- segment definitions
            .equ     a,0x01
            .equ     b,0x02
            .equ     c,0x10
            .equ     d,0x04
            .equ     e,0x80
            .equ     f,0x20
            .equ     g,0x08
            .equ     h,0x40
;
;--- character definitions
            .section    .text
LCD_Tab:    .byte   a+b+c+d+e+f                ; displays "0"
            .byte   b+c                        ; displays "1"
            .byte   a+b+d+e+g                  ; displays "2"
            .byte   a+b+c+d+g                  ; displays "3"
            .byte   b+c+f+g                    ; displays "4"
            .byte   a+c+d+f+g                  ; displays "5"
            .byte   a+c+d+e+f+g                ; displays "6"
            .byte   a+b+c                      ; displays "7"
            .byte   a+b+c+d+e+f+g              ; displays "8"
            .byte   a+b+c+d+f+g                ; displays "9"

LCD_sensor_pos:

            .equ	LCD_sensor1,a+d
            .equ	LCD_sensor2,b+e
            .equ	LCD_sensor3,c+f

	    .byte	0
	    .byte	LCD_sensor1
	    .byte	LCD_sensor2
	    .byte	LCD_sensor2+LCD_sensor1
	    .byte	LCD_sensor3
	    .byte	LCD_sensor3+LCD_sensor1
	    .byte	LCD_sensor3+LCD_sensor2
	    .byte	LCD_sensor3+LCD_sensor2+LCD_sensor1

            .align 1    ; succeeding sections must be even aligned! 
